Bug 1469265 - (CVE-2017-9791) CVE-2017-9791 struts2: Possible RCE via a malicious field value passed in a raw message to the ActionMessage
CVE-2017-9791 struts2: Possible RCE via a malicious field value passed in a r...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20170707,repo...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 14:55 EDT by Andrej Nemec
Modified: 2017-10-10 11:52 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-15 03:46:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-07-10 14:55:01 EDT
The Struts 1 plugin in Apache Struts 2.3.x might allow remote code execution via a malicious field value passed in a raw message to the ActionMessage.

References:

https://github.com/dragoneeg/Struts2-048
Comment 1 Andrej Nemec 2017-07-10 14:55:37 EDT
External References:

http://struts.apache.org/docs/s2-048.html
Comment 3 Andrej Nemec 2017-10-10 11:48:53 EDT
Statement:

This issue is present in a Struts 1 plugin for Apache Struts 2.3.x. It is not present in Apache Struts 1. This issue did not affect any of the Red Hat products as they did not include the Apache Struts 2 package.

Note You need to log in before you can comment on or make changes to this bug.